DO-RELEASE-UPGRADE(8)

NAME
do-release-upgrade - upgrade operating system to latest release

SYNOPSIS
do-release-upgrade [options]

DESCRIPTION
Upgrade the operating system to the latest release from the command-line. This is the preferred command if the machine has no graphic environment or if the machine is to be upgraded over a remote connection.

OPTIONS

-h, --help
    show this help message and exit

-V, --version
    Show version and exit

-d, --devel-release
    If using the latest supported release, upgrade to the development release

--data-dir=DATA_DIR
    Directory that contains the data files

-p, --proposed
    Try upgrading to the latest release using the upgrader from Ubuntu-proposed

-f FRONTEND, --frontend=FRONTEND
    Run the specified frontend

-c, --check-dist-upgrade-only
    Check only if a new distribution release is available and report the result via the exit code

--allow-third-party
    Try the upgrade with third party mirrors and repositories enabled instead of commenting them out.

-q, --quiet

-e ENV, --env=ENV
    A comma-seprated list of environment variables (e.g. VAR1=VALUE1,VAR2=VALUE2) that should be set during the upgrade.

SEE ALSO
update-manager(8), apt-get(8)